From: akpm@osdl.org
Sent: Saturday, July 30, 2005 4:18 AM
To: Brown, Len
Cc: akpm@osdl.org; bunk@stusta.de
Subject: [patch 12/12] enable ACPI_HOTPLUG_CPU automatically if
HOTPLUG_CPU=y


From: Adrian Bunk <bunk@stusta.de>

Does the combination
- HOTPLUG_CPU=y
- ACPI_PROCESSOR=y
- ACPI_HOTPLUG_CPU=n
make any sense?

If not, please apply this patch.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Cc: "Brown, Len" <len.brown@intel.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
Index: to-akpm/drivers/acpi/Kconfig
===================================================================
--- to-akpm.orig/drivers/acpi/Kconfig
+++ to-akpm/drivers/acpi/Kconfig
@@ -154,12 +154,10 @@ config ACPI_PROCESSOR
 	  support it.
 
 config ACPI_HOTPLUG_CPU
-	bool "Processor Hotplug (EXPERIMENTAL)"
-	depends on ACPI_PROCESSOR && HOTPLUG_CPU && EXPERIMENTAL
+	bool
+	depends on ACPI_PROCESSOR && HOTPLUG_CPU
 	select ACPI_CONTAINER
-	default n
-	 ---help---
-	 Select this option if your platform support physical CPU hotplug.
+	default y
 
 config ACPI_THERMAL
 	tristate "Thermal Zone"
